# Generated by Django 2.2.11 on 2020-05-14 14:30

from django.db import migrations, models
import django_pain.constants

from django_pain.constants import PaymentState


def migrate_imported_state(apps, schema_editor):
    BankPayment = apps.get_model('django_pain', 'BankPayment')
    paymets = BankPayment.objects.filter(state='imported')
    paymets.update(state=PaymentState.READY_TO_PROCESS)


def migrate_imported_state_reversed(apps, schema_editor):
    BankPayment = apps.get_model('django_pain', 'BankPayment')
    paymets = BankPayment.objects.filter(state=PaymentState.READY_TO_PROCESS)
    paymets.update(state='imported')


class Migration(migrations.Migration):

    dependencies = [
        ('django_pain', '0019_update_django_money'),
    ]

    operations = [
        migrations.AddField(
            model_name='bankpayment',
            name='card_handler',
            field=models.TextField(blank=True, verbose_name='Card handler'),
        ),
        migrations.AddField(
            model_name='bankpayment',
            name='card_payment_state',
            field=models.TextField(blank=True, verbose_name='Card payment state'),
        ),
        migrations.AddField(
            model_name='bankpayment',
            name='payment_type',
            field=models.TextField(choices=[(django_pain.constants.PaymentType('transfer'), 'transfer'), (django_pain.constants.PaymentType('card_payment'), 'card payment')], default=django_pain.constants.PaymentType('transfer'), verbose_name='Payment type'),
        ),
        migrations.AlterField(
            model_name='bankpayment',
            name='counter_account_number',
            field=models.TextField(blank=True, verbose_name='Counter account number'),
        ),
        migrations.AlterField(
            model_name='bankpayment',
            name='state',
            field=models.TextField(choices=[(django_pain.constants.PaymentState('ready_to_process'), 'ready to process'), (django_pain.constants.PaymentState('processed'), 'processed'), (django_pain.constants.PaymentState('deferred'), 'not identified'), (django_pain.constants.PaymentState('exported'), 'exported'), (django_pain.constants.PaymentState('canceled'), 'canceled')], db_index=True, default=django_pain.constants.PaymentState('ready_to_process'), verbose_name='Payment state'),
        ),
        migrations.AddConstraint(
            model_name='bankpayment',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('payment_type', django_pain.constants.PaymentType('transfer')), models.Q(_negated=True, counter_account_number__exact='')), models.Q(('counter_account_number__exact', ''), ('payment_type', django_pain.constants.PaymentType('card_payment'))), _connector='OR'), name='payment_counter_account_only_for_transfer'),
        ),
        migrations.RunPython(migrate_imported_state, reverse_code=migrate_imported_state_reversed, elidable=True),
    ]
