# Generated by Django 3.2.22 on 2023-10-25 08:25

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import django_pain.constants
import djmoney.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('django_pain', '0035_rename_vs_table'),
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('app_id', models.TextField(verbose_name='Application ID')),
                ('name', models.TextField(blank=True, null=True, verbose_name='Name')),
                ('organization', models.TextField(blank=True, null=True, verbose_name='Organization')),
                ('street1', models.TextField(verbose_name='Street')),
                ('street2', models.TextField(blank=True, null=True, verbose_name='Street 2')),
                ('street3', models.TextField(blank=True, null=True, verbose_name='Street 3')),
                ('city', models.TextField(verbose_name='City')),
                ('state_or_province', models.TextField(blank=True, null=True, verbose_name='State or province')),
                ('postal_code', models.TextField(verbose_name='Postal code')),
                ('country_code', django_countries.fields.CountryField(max_length=2, verbose_name='Country')),
                ('company_registration_number', models.TextField(blank=True, null=True, verbose_name='Company registration number')),
                ('vat_number', models.TextField(blank=True, null=True, verbose_name='VAT number')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Create time')),
                ('due_at', models.DateTimeField(blank=True, null=True, verbose_name='Due time')),
                ('due_at_displayed', models.DateTimeField(verbose_name='Displayed due time')),
                ('closed_at', models.DateTimeField(blank=True, null=True, verbose_name='Close time')),
                ('price_to_pay', models.DecimalField(decimal_places=10, max_digits=64, verbose_name='Price to pay')),
                ('currency', djmoney.models.fields.CurrencyField(default='CZK', max_length=3)),
                ('variable_symbol', models.CharField(blank=True, max_length=10, verbose_name='Variable symbol')),
                ('bank_account', models.ForeignKey(blank=True, db_column='ref_bank_account_id', null=True, on_delete=django.db.models.deletion.RESTRICT, related_name='+', to='django_pain.bankaccount', verbose_name='Bank account')),
                ('card_payment', models.ForeignKey(blank=True, db_column='ref_card_payment_id', null=True, on_delete=django.db.models.deletion.RESTRICT, related_name='+', to='django_pain.bankpayment', verbose_name='Card payment')),
                ('customer', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.RESTRICT, related_name='+', to='django_pain.customer')),
                ('realized_payment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.RESTRICT, related_name='+', to='django_pain.bankpayment', verbose_name='Realized payment')),
            ],
            options={
                'verbose_name': 'Payment request',
                'verbose_name_plural': 'Payment requests',
            },
        ),
        migrations.CreateModel(
            name='BillingItemType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.TextField(verbose_name='Name')),
                ('valid_from', models.DateTimeField(verbose_name='Time from')),
                ('valid_to', models.DateTimeField(blank=True, null=True, verbose_name='Time to')),
                ('vat_rate', models.DecimalField(decimal_places=4, max_digits=10, verbose_name='VAT rate')),
            ],
        ),
        migrations.CreateModel(
            name='PaymentRequestItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Description')),
                ('item_type', models.TextField(blank=True, null=True, verbose_name='Item type')),
                ('quantity', models.IntegerField(default=1, validators=[django.core.validators.MinValueValidator(1)], verbose_name='Quantity')),
                ('price_per_unit', models.DecimalField(decimal_places=10, max_digits=64, verbose_name='Price per unit')),
                ('price_total', models.DecimalField(decimal_places=10, max_digits=64, verbose_name='Price total')),
                ('payment_request', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='items', to='django_pain.paymentrequest')),
            ],
        ),
        migrations.AddConstraint(
            model_name='paymentrequest',
            constraint=models.UniqueConstraint(condition=models.Q(('closed_at__isnull', True)), fields=('variable_symbol',), name='unique_vs_for_unclosed_payments'),
        ),
    ]
